Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.stax.converter.util
Class DummyLocator

    java.lang.Object
      org.apache.cocoon.stax.converter.util.DummyLocator

All Implemented Interfaces:
  Locator

    public class DummyLocator

extends Object
implements Locator

A dummy locator that returns -1 and null from all methods to indicate that location info is not available.

Version:
  from stax-utils stable version stax-utils-20070216

Constructor Summary
`DummyLocator()`

Method Summary
`int` | `getColumnNumber()` Return the column number where the current document event ends.
`int` | `getLineNumber()` Return the line number where the current document event ends.
`String` | `getPublicId()` Return the public identifier for the current document event.
`String` | `getSystemId()` Return the system identifier for the current document event.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DummyLocator

    public DummyLocator()

Method Detail

### getColumnNumber

    public int getColumnNumber()

  Return the column number where the current document event ends.

  Warning: The return value from the method is intended only as an approximation for the sake of error reporting; it is not intended to provide sufficient information to edit the character content of the original XML document.

  The return value is an approximation of the column number in the document entity or external parsed entity where the markup triggering the event appears.

  If possible, the SAX driver should provide the line position of the first character after the text associated with the document event.

  If possible, the SAX driver should provide the line position of the first character after the text associated with the document event. The first column in each line is column 1.

  Specified by:
    `getColumnNumber` in interface `Locator`
  Returns:
    The column number, or -1 if none is available.
  See Also:
    `getLineNumber()`

### getLineNumber

    public int getLineNumber()

  Return the line number where the current document event ends.

  Warning: The return value from the method is intended only as an approximation for the sake of error reporting; it is not intended to provide sufficient information to edit the character content of the original XML document.

  The return value is an approximation of the line number in the document entity or external parsed entity where the markup triggering the event appears.

  If possible, the SAX driver should provide the line position of the first character after the text associated with the document event. The first line in the document is line 1.

  Specified by:
    `getLineNumber` in interface `Locator`
  Returns:
    The line number, or -1 if none is available.
  See Also:
    `getColumnNumber()`

### getPublicId

    public String getPublicId()

  Return the public identifier for the current document event.

  The return value is the public identifier of the document entity or of the external parsed entity in which the markup triggering the event appears.

  Specified by:
    `getPublicId` in interface `Locator`
  Returns:
    A string containing the public identifier, or null if none is available.
  See Also:
    `getSystemId()`

### getSystemId

    public String getSystemId()

  Return the system identifier for the current document event.

  The return value is the system identifier of the document entity or of the external parsed entity in which the markup triggering the event appears.

  If the system identifier is a URL, the parser must resolve it fully before passing it to the application.

  Specified by:
    `getSystemId` in interface `Locator`
  Returns:
    A string containing the system identifier, or null if none is available.
  See Also:
    `getPublicId()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright � 2008-2010 The Apache Software Foundation. All Rights Reserved.